#[derive(serde::Serialize, serde::Deserialize, Debug, Clone, Copy, PartialEq, Eq)]
pub enum Mode {
    Off,
    Safe,
}

impl Mode {
    /// Each subsystem mode has a fallback mode to allow clean transitions.
    pub const fn fallback_mode(&self) -> Self {
        match self {
            Mode::Off => Mode::Safe,
            Mode::Safe => Mode::Safe,
        }
    }
}
